## mercurial-buildpackage 0.8.2

=== Makefile ===
# Copyright (c) 2009, Jens Peter Secher <jpsecher@gmail.com>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

source := $(wildcard *.hx) Makefile

binaries := mercurial-buildpackage mercurial-tagversion	\
            mercurial-importorig mercurial-importdsc \
            mercurial-pristinetar mercurial-port

helpers := macro-expand unittests

manpages := $(binaries:=.1)

all: $(binaries) $(manpages)

mercurial-buildpackage: $(source)
	haxe -neko $@.n -main MercurialBuildPackage -cmd 'nekotools boot $@.n'

mercurial-pristinetar: $(source)
	haxe -neko $@.n -main MercurialPristineTar -cmd 'nekotools boot $@.n'

mercurial-tagversion: $(source)
	haxe -neko $@.n -main MercurialTagVersion -cmd 'nekotools boot $@.n'

mercurial-importorig: $(source)
	haxe -neko $@.n -main MercurialImportOrig -cmd 'nekotools boot $@.n'

mercurial-importdsc: $(source)
	haxe -neko $@.n -main MercurialImportDsc -cmd 'nekotools boot $@.n'

mercurial-port: $(source)
	haxe -neko $@.n -main MercurialPort -cmd 'nekotools boot $@.n'

testprocess: $(source)
	haxe -neko $@.n -main TestProcess -cmd 'nekotools boot $@.n'

macro-expand: $(source)
	haxe -neko $@.n -main MacroExpand -cmd 'nekotools boot $@.n'

mercurial-pristinetar.1: MercurialPristineTar.man macro-expand $(source)
	./macro-expand < $< > $@

mercurial-buildpackage.1: MercurialBuildPackage.man macro-expand $(source)
	./macro-expand < $< > $@

mercurial-importorig.1: MercurialImportOrig.man macro-expand $(source)
	./macro-expand < $< > $@

mercurial-importdsc.1: MercurialImportDsc.man macro-expand $(source)
	./macro-expand < $< > $@

mercurial-port.1: MercurialPort.man macro-expand $(source)
	./macro-expand < $< > $@

mercurial-tagversion.1: MercurialTagVersion.man macro-expand $(source)
	./macro-expand < $< > $@

test: $(source)
	haxe -neko $@.n -main Test -cmd 'nekotools boot $@.n'

unittests: $(source)
	haxe -neko $@.n -main UnitTests -cmd 'nekotools boot $@.n'

install: $(binaries) $(manpages)
	install $(binaries) $(DESTDIR)/usr/bin/
	install $(manpages) $(DESTDIR)/usr/share/man/man1

check: unittests
	./$<

clean:
	rm -f *.n $(binaries) $(helpers) $(manpages)

.PHONY: clean check all install

## mercurial-buildpackage 0.7

=== debian/changelog ===
mercurial-buildpackage (0.7) unstable; urgency=low

  * Only perform build-dependency check when building in-place, thanks to
    Eike Nicklas.
  * Refix #563057 which was reintroduced by not emptying Process output on
    low verbosity.

 -- Jens Peter Secher <jps@debian.org>  Tue, 19 Jan 2010 23:15:53 +0100

mercurial-buildpackage (0.6) unstable; urgency=low

  * Work around Mercurial's inability to track empty directories (which
    makes it harder to recreate pristine tarballs) by removing empty
    directories after unpacking of tarballs.

 -- Jens Peter Secher <jps@debian.org>  Mon, 18 Jan 2010 22:28:32 +0100

mercurial-buildpackage (0.5) unstable; urgency=low

  * Always process output from subprocesses immediately to avoid the
    subprocess blocking.
    (Closes: #563057)
  * Fixed usage help in tagversion.
  * Do not --skip-patches when unpacking because dpkg-source format 3.0
    (quilt) expects the patches to be applied anyway.  And unpack with
    --no-copy.

 -- Jens Peter Secher <jps@debian.org>  Mon, 11 Jan 2010 23:12:18 +0100

mercurial-buildpackage (0.4) unstable; urgency=low

  * Preserve executable mode for upstream files, thanks to Luke Cycon.
  * Just rely on the underscore in the upstream tarball file names to
    detect source name, thanks to Raúl Sánchez Siles.
    (Closes: #563058)

 -- Jens Peter Secher <jps@debian.org>  Tue, 05 Jan 2010 22:31:40 +0100

mercurial-buildpackage (0.3) unstable; urgency=low

  * Porting branches are now suported.  
  * Always use Mercurial's internal merging mechanism to avoid arbitrary
    merging programs to start up; instead conflict markers are put
    directly in conflicting files.
  * Explained repository layout in manpage, and various other manpage
    fixes.
  * Better error message when tarball filenames do not follow format 3.0,
    thanks to Goswin von Brederlow.
    (Closes: #560189)

 -- Jens Peter Secher <jps@debian.org>  Wed, 23 Dec 2009 00:18:16 +0100

mercurial-buildpackage (0.2) unstable; urgency=low

  * The importorig program now saves xdeltas to be able to restore the
    pristine tarballs.
  * Fixed the dependency on haxe to avoid build failures.

 -- Jens Peter Secher <jps@debian.org>  Fri, 20 Nov 2009 23:37:20 +0100

mercurial-buildpackage (0.1) unstable; urgency=low

  * Initial package.  It is a redesign of John Goerzen's hg-buildpackage.

 -- Jens Peter Secher <jps@debian.org>  Fri, 25 Sep 2009 21:09:28 +0200

=== debian/control ===
Source: mercurial-buildpackage
Section: devel
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends: debhelper (>= 7), haxe (>= 1:2.4-3~)
Standards-Version: 3.8.3
Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage

Package: mercurial-buildpackage
Architecture: any
Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
Recommends: sudo, pbuilder
Description: Suite to maintain Debian packages in Mercurial repository
 This package helps to automate the task of maintaining Debian
 packages by using the distributed version-control system Mercurial.
 The programs included are:
 .
 mercurial-importdsc: Import an existing Debian source package into a
 Mercurial repository.
 .
 mercurial-importorig: Import new upstream tarballs.
 .
 mercurial-pristinetar: Recreate source tarballs from the Mercurial
 repository so they are identical to original upstream tarballs.
 .
 mercurial-buildpackage: Build a Debian package from the Mercurial
 repository, either in-place or using pbuilder.
 .
 mercurial-tagversion: Mark an uploaded Debian package for future
 reference.

## mercurial-buildpackage 0.8.2

=== debian/changelog ===
mercurial-buildpackage (0.8.2) unstable; urgency=low

  * Do not use paths containing "../" to avoid upsetting dpkg-source
    1.15.7.1.

 -- Jens Peter Secher <jps@debian.org>  Fri, 30 Apr 2010 18:58:23 +0200

mercurial-buildpackage (0.8.1) unstable; urgency=low

  * Updated buildpackage manpage with operational outline and explained
    that Quilt patches are applied for format 3.0 packages.
  * buildpackage is now more verbose by default.
  * importorig now only tries to add new changelog entry if a
    debian/changelog already exists.

 -- Jens Peter Secher <jps@debian.org>  Sun, 28 Feb 2010 21:53:16 +0100

mercurial-buildpackage (0.8) unstable; urgency=low

  * For dpkg-source format 3.0 (quilt), the repository is now supposed to
    have all Quilt patches fully applied and the .pc directory committed.
    After importorig, the Quilt patches need to be applied manually.  
  * Be more careful about precious and interfering files when processing
    directory entries.

 -- Jens Peter Secher <jps@debian.org>  Thu, 21 Jan 2010 23:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Jens Peter Secher <jps@debian.org>
-Build-Depends: debhelper (>= 7), haxe (>= 1:2.4-3~)
+Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
 Standards-Version: 3.8.3
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
 Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
-Recommends: sudo, pbuilder
+Recommends: sudo, pbuilder, quilt
 Description: Suite to maintain Debian packages in Mercurial repository
  This package helps to automate the task of maintaining Debian
  packages by using the distributed version-control system Mercurial.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mercurial-buildpackage.

PACKAGE := $(shell dpkg-parsechangelog | head -1 | cut -c9-)
VERSION := $(shell dpkg-parsechangelog | head -2 | tail -1 | cut -c10-)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

build: build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.txt
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mercurial-buildpackage 0.9

=== debian/changelog ===
mercurial-buildpackage (0.9) unstable; urgency=low

  * Cater for new hg commit behaviour: accept return code of 1.
  * Create new changelog entry before trying to merge during importorig.
  * Check that mercurial-buildpackage's changelog version matches the one
    in Constants.hx.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Sat, 07 Aug 2010 00:14:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Jens Peter Secher <jps@debian.org>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
 Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
-Recommends: sudo, pbuilder, quilt
+Recommends: sudo, pbuilder
+Suggests: quilt
 Description: Suite to maintain Debian packages in Mercurial repository
  This package helps to automate the task of maintaining Debian
  packages by using the distributed version-control system Mercurial.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for mercurial-buildpackage.
 
 PACKAGE := $(shell dpkg-parsechangelog | head -1 | cut -c9-)
-VERSION := $(shell dpkg-parsechangelog | head -2 | tail -1 | cut -c10-)
+CHANGELOG := $(shell dpkg-parsechangelog | head -2 | tail -1 | cut -c10-)
 
 clean:
 	dh_testdir
@@ -17,6 +17,7 @@
 	touch $@
 
 build: build-stamp
+	[ "$(CHANGELOG)" = $(shell echo {Version} | $(CURDIR)/macro-expand ) ]
 
 install: build
 	dh_testdir

## mercurial-buildpackage 0.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (c) 2009, Jens Peter Secher <jpsecher@gmail.com>
+# Copyright (c) 2012, Darren Salt <linux@youmustbejoking.demon.co.uk>
 #
 # Permission to use, copy, modify, and/or distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -12,7 +13,15 @@
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 
-source := $(wildcard *.hx) Makefile
+
+# Set this at make invocation if you want extended version strings.
+# For example, VENDOR_VERSION=foo results in "0.10 (foo)".
+VENDOR_VERSION ?=
+
+
+source_in := $(wildcard *.hx.in)
+source_generated := $(basename $(source_in))
+source := $(wildcard *.hx) $(source_generated) Makefile
 
 binaries := mercurial-buildpackage mercurial-tagversion	\
             mercurial-importorig mercurial-importdsc \
@@ -22,31 +31,34 @@
 
 manpages := $(binaries:=.1)
 
+HAXE = haxe -neko $@.n -cmd 'nekotools boot $@.n' -main
+
+
 all: $(binaries) $(manpages)
 
 mercurial-buildpackage: $(source)
-	haxe -neko $@.n -main MercurialBuildPackage -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialBuildPackage
 
 mercurial-pristinetar: $(source)
-	haxe -neko $@.n -main MercurialPristineTar -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialPristineTar
 
 mercurial-tagversion: $(source)
-	haxe -neko $@.n -main MercurialTagVersion -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialTagVersion
 
 mercurial-importorig: $(source)
-	haxe -neko $@.n -main MercurialImportOrig -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialImportOrig
 
 mercurial-importdsc: $(source)
-	haxe -neko $@.n -main MercurialImportDsc -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialImportDsc
 
 mercurial-port: $(source)
-	haxe -neko $@.n -main MercurialPort -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialPort
 
 testprocess: $(source)
-	haxe -neko $@.n -main TestProcess -cmd 'nekotools boot $@.n'
+	$(HAXE) TestProcess
 
 macro-expand: $(source)
-	haxe -neko $@.n -main MacroExpand -cmd 'nekotools boot $@.n'
+	$(HAXE) MacroExpand
 
 mercurial-pristinetar.1: MercurialPristineTar.man macro-expand $(source)
 	./macro-expand < $< > $@
@@ -80,7 +92,15 @@
 	./$<
 
 clean:
-	rm -f *.n $(binaries) $(helpers) $(manpages)
+	rm -f *.n $(binaries) $(helpers) $(manpages) $(source_generated)
 
-.PHONY: clean check all install
+# Generated sources
+Constants.hx: Constants.hx.in
+	sed -e 's/@VENDOR@/'"$(VENDOR_VERSION)"'/g' <$< >$@
 
+# Misc
+version:
+	@echo "$(VERSION)"
+
+.PHONY: clean check all install version
+.DELETE_ON_ERROR:

=== debian/changelog ===
mercurial-buildpackage (0.10) unstable; urgency=low

  * Taking over this package... (Closes: #628953)
  * Add support for xz-compressed tarballs. (Closes: #658648)
    - Bump dependency on pristine-tar to >= 1.18.
  * Fix (most) problems with pristine tarball generation. (Closes: #626855)
    - Ensure that we have the source root directory in the tarball.
    - Ensure that the source root directory is correctly named.
    - Force owner, group and permissions to 0 when generating the xdelta.
    This should be enough to cover the usual use cases.
    It's fairly safe to say that anything else is going to be Fun™...
  * Don't spawn shells for tar.
  * Handle version info differently: vendor-specific version strings can be
    specified via a make variable, VENDOR_VERSION.
    Also, tidy up version checking in debian/rules and set VENDOR_VERSION to
    the vendor name as reported by dpkg-vendor.
    (Closes: #612271)
  * Have all commands respond to --help, -h and -?.
  * Put upstream tags on the upstream branch. It makes more sense to me than
    tagging a prior commit in the main branch.
  * Improved the concurrent stdout/stderr reading (referenced below).
  * Add -S (--source-only) to mercurial-buildpackage.
  * Add a note to README.txt about hacking on mercurial-buildpackage source.
  * Add build-arch and build-indep targets in debian/rules.
    (The latter is currently empty.)
  * Correctly quote (or unquote) hyphens in the man pages.
  * Add a dummy debian/watch.
  * Misc cleanup.

  [Jens Peter Secher]
  * Found a way to concurrently read stdout and stderr from a Process
    which means that there should be no more stalled build processes.
  * Allow successive import-dsc also when only the debian files changed.
  * Complain when importing tarballs that have no root directory but use
    dpkg-source with --no-check to allow manual tampering with the
    imported tarballs.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Mon, 16 Jul 2012 19:05:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mercurial-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Jens Peter Secher <jps@debian.org>
+Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
 Standards-Version: 3.9.1
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
-Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
+Depends: mercurial, devscripts, pristine-tar (>= 1.18), neko, ${shlibs:Depends}, ${misc:Depends}
 Recommends: sudo, pbuilder
 Suggests: quilt
 Description: Suite to maintain Debian packages in Mercurial repository

## mercurial-buildpackage 0.10.1

=== debian/changelog ===
mercurial-buildpackage (0.10.1) unstable; urgency=low

  * Fix ‘class not found’ FTBFS. (Closes: #719405)
  * Bump dependency on haxe.
  * Standards version 3.9.6.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 28 Oct 2014 02:10:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
-Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
-Standards-Version: 3.9.1
+Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 3)
+Standards-Version: 3.9.6
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mercurial-buildpackage.

PACKAGE := $(shell dpkg-parsechangelog | head -1 | cut -c9-)
CHANGELOG := $(shell dpkg-parsechangelog | sed -e '/^Version: /! d; s/^.* //')

clean:
	dh_testdir
	dh_testroot
	rm -f build-*-stamp
	$(MAKE) clean
	dh_clean 

build-stamp:
	dh_testdir
	$(MAKE) VENDOR_VERSION="$(shell dpkg-vendor --query Vendor)"
	touch $@

build: build-arch

build-arch: build-stamp
	[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]

build-indep:
#	nothing to do

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

binary-indep: build-indep install

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.txt
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

=== debian/watch ===
# Nothing to watch.
# This file exists to silence tools which expect debian/watch to be present.

## mercurial-buildpackage 0.10.1+nmu1

=== debian/changelog ===
mercurial-buildpackage (0.10.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the package binNMUable (Closes: #826968)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Jun 2016 17:21:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 build: build-arch
 
 build-arch: build-stamp
-	[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]
+	#[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]
+	$(CURDIR)/macro-expand
 
 build-indep:
 #	nothing to do

## mercurial-buildpackage 0.10.1+nmu2

=== debian/changelog ===
mercurial-buildpackage (0.10.1+nmu2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #881510)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 19:16:13 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mercurial-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 3)
 Standards-Version: 3.9.6
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage

## mercurial-buildpackage 0.10.2

=== debian/changelog ===
mercurial-buildpackage (0.10.2) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Vcs-Hg.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 15:33:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 3)
 Standards-Version: 3.9.6
-Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
